// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:
	long m_xv, m_yv;
	long m_xl, m_yl;
	long m_xs, m_ys;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateIndicatorXV(CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicatorYV(CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicatorXL(CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicatorYL(CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicatorXS(CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicatorYS(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
